#!/bin/sh
#
# 13/04/2001 Benoit PAPILLAULT <benoit.papillault@free.fr>
# 26/06/2001 Francois ROGLER <francois@rogler.org> BSD port
#
# Copy this file to /etc/rc.d/init.d 
# Try : chkconfig adsl.sh on
# Don't forget to replace HCD by the value used on your system.
#
# chkconfig:	345 91 35
# description:	Starts and stops an ADSL connection

# Source function library.
#. /etc/rc.d/init.d/functions

# Source networking configuration.
#. /etc/sysconfig/network

# Check that networking is up.
#[ ${NETWORKING} = "no" ] && exit 0

# /etc/rc.d/init.d/usb already takes care of loading usb-uhci (or usb-ohci)
# and also mount the usbdevfs filesystem. However to function properly, it
# must be configured as follow:

# 1. put "alias usb-interface usb-uhci" in your /etc/modules.conf
# 2. create a file (even empty) /etc/sysconfig/usb


# We do not care about loading module we need, since 

# 1. They can be already statically compiled in the running kernel
# 2. They can be loading automatically throught alias in /etc/modules.conf

# See how we were called.
case "$1" in
  start)
	/usr/local/bin/modem_run -f /usr/local/libdata/mgmt.o -m
	ppp -ddial adsl
        ;;
  stop)
# warning : it kills all running pppd
    kill -INT `pidof ppp`
        ;;
  restart)
	$0 stop
	$0 start
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
esac

